IncorrectVersionException (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.common, class: IncorrectVersionException

Package org.apache.hadoop.hdfs.server.common

# Class IncorrectVersionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.hdfs.server.common.IncorrectVersionException

All Implemented Interfaces:
  `Serializable`

@Private @Evolving public class IncorrectVersionException extends IOException
The exception is thrown when external version does not match current version of the application.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncorrectVersionException(int currentLayoutVersion, int versionReported, String ofWhat)`
  `IncorrectVersionException(int versionReported, String ofWhat, int versionExpected)`
  `IncorrectVersionException(String message)`
  `IncorrectVersionException(String minimumVersion, String reportedVersion, String remoteDaemon, String thisDaemon)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IncorrectVersionException

    public IncorrectVersionException(String message)

  - ### IncorrectVersionException

    public IncorrectVersionException(String minimumVersion, String reportedVersion, String remoteDaemon, String thisDaemon)

  - ### IncorrectVersionException

    public IncorrectVersionException(int currentLayoutVersion, int versionReported, String ofWhat)

  - ### IncorrectVersionException

    public IncorrectVersionException(int versionReported, String ofWhat, int versionExpected)